Subject: bug#27873: 26.0.50; M-x grep broken

From: Eric Hanchrow <[email-masked]>
Date: Sun, 30 Jul 2017 00:02:14 +0000

I ran "grep", searching for the word "alpha" in all files in my home
directory.  I happen to know that that word appears exactly once in
those files.

     M-x [execute-extended-command]
     g [self-insert-command]
     r [self-insert-command]
     e [self-insert-command]
     p [self-insert-command]
     <return> [minibuffer-complete-and-exit]
     a [self-insert-command]
     l [self-insert-command]
     p [self-insert-command]
     h [self-insert-command]
     a [self-insert-command]
     SPC [self-insert-command]
     * [self-insert-command]
     <return> [exit-minibuffer]

This displayed a *grep* buffer that looked something like I expected,
but:

* instead of there being exactly one line with some underlining
  (indicating a "hit"), there were a bunch: the one I expected, as well
  as a few before it like this:

    grep: git-repositories: Is a directory
    grep: guix: Is a directory
    grep: homedir: Is a directory
    grep: homework: Is a directory
    grep: iTunesDSM: Is a directory
    grep: jessie64: Is a directory
    grep: local: Is a directory
    grep: log: Is a directory
    grep: mygo: Is a directory
    grep: node_modules: Is a directory
    grep: perl5: Is a directory
    phonetic-alphabet.txt1:Stolen from
http://www.fourmilab.ch/documents/phoneticalphabet/
    grep: pprof: Is a directory

  You can't tell from what I've pasted above, but the 9 "Is a directory"
  lines before the actual hit were red and underlined, just like the
  match was.

* Hitting C-x `, instead of visiting the file with the hit, put a
  nine-line-high prompt in the minibuffer, as if it was asking me which
  directory to find the file in a directory with a really weird name.
  (You can see some evedince of this in the "Recent messages" stuff below).

In GNU Emacs 26.0.50 (build 1, x86_64-apple-darwin16.7.0, NS appkit-1504.83
Version 10.12.6 (Build 16G29))
 of 2017-07-29 built on Eric-Hanchrows-MacBook-Pro.local
Repository revision: d7825cb09eae438a83ed2f5b3e0715523d4ed5b7
Windowing system distributor 'Apple', version 10.3.1504
Recent messages:
grep: jessie64: Is a directory
grep: local: Is a directory
grep: log: Is a directory
grep: mygo: Is a directory
grep: node_modules: Is a directory
grep: perl5: Is a directory
phonetic-alphabet.txt’
completing-read-default: Command attempted to use minibuffer while in
minibuffer
QuitInvalid face reference: unspecified
Invalid face reference: unspecified [5 times]

Configured features:
JPEG RSVG NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq dired
dired-loaddefs rfc822 mml easymenu mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils tramp tramp-compat
tramp-loaddefs trampver parse-time format-spec advice auth-source cl-seq
eieio byte-opt bytecomp byte-compile cconv eieio-core cl-macs gv
eieio-loaddefs cl-loaddefs cl-lib password-cache shell pcomplete
thingatpt grep compile comint ansi-color ring time-date tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win
ns-win ucs-normalize mule-util term/common-win tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
isearch timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 258110 10162)
 (symbols 48 30900 1)
 (miscs 40 48 187)
 (strings 32 53124 1653)
 (string-bytes 1 1167343)
 (vectors 16 38237)
 (vector-slots 8 750607 17056)
 (floats 8 55 150)
 (intervals 56 244 0)
 (buffers 992 12))